QGIS Application - Bug report #20547

Spatialite point layers are not displayed when the primary key is created in text type and a spatial
index exists at the same time

2018-11-19 09:59 AM - Claas Leiner

Status: Closed

Priority: High

Assignee: Julien Cabieces

Category: Data Provider

Affected QGIS version:3.4.1 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28367
Description

In QGIS 3.41, SpatiaLite point layers will not be displayed if there is a spatial index.
It is possible to zoom to the layer und the data in the attribute-table is correct. But | can't see any points.

When | remove the spatial index, the | can load the Layer and see the points.

With Polygon-Layers is no problem.

Greetings, Claas

Associated revisions

Revision c478ba9c - 2019-01-10 06:53 PM - Julien Cabieces

fixes #20547 : Fix error when using a spatialite layer with a non-int primary key an a spatial index

Revision b61d6f8f - 2019-01-11 11:07 PM - Matthias Kuhn

Merge pull request #8832 from troopa81/fix_20547

fixes #20547 : Fix error when using a spatialite layer with a non-int primary key an a spatial index

Revision 5c24b4e4 - 2019-01-14 12:35 PM - Julien Cabieces

Backport fixes #20547 : Fix error when using a spatialite layer with a non-int primary key an a spatial index

History

#1 - 2018-11-19 10:58 AM - Giovanni Manghi
- Status changed from Open to Feedback

| cannot confirm here with my own data, can you attach a sample dataset?

#2 - 2018-11-19 02:31 PM - Claas Leiner
The problem occurs when the primary key is created in text type and a spatial index exists at the same time. (in test.sqlite the table kunden1 with the

primary key knr)

In the table kunden2, the primary key is the field nr (integer). This layer is displayed correctly in qgis 3.4.1.

In QGIS 2.18.25 both layers are displayed correctly.

#3 - 2018-11-19 02:33 PM - Claas Leiner
- File test.sqlite.zip added

sample dataset test.sqlite

#4 - 2018-11-19 04:02 PM - Giovanni Manghi
- Status changed from Feedback to Open

- Subject changed from Spatialite point layers are not displayed if there is a spatial index to Spatialite point layers are not displayed when the primary

key is created in text type and a spatial index exists at the same time

#5 - 2019-01-11 12:08 PM - Julien Cabieces

- Assignee set to Julien Cabieces

- Pull Request or Patch supplied changed from No to Yes
- Status changed from Open to In Progress

Proposed PR : https://github.com/qgis/QGIS/pull/8832

#6 - 2019-01-11 11:06 PM - Julien Cabieces
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|c478ba9c0f128827ecf34d5f54b77cff2fd37feb.
